org.crosswire.jsword.passage

## Enum PassageListType

- java.lang.Object
- - java.lang.Enum<PassageListType>
  - - org.crosswire.jsword.passage.PassageListType

- All Implemented Interfaces:
    Serializable, Comparable<PassageListType>

      public enum PassageListType
      extends Enum<PassageListType>

  Types of Passage Lists.
  Author:
    Joe Walker, DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RANGES` Passage to be interpreted as a list of ranges.
    `VERSES` Passage to be interpreted as a list of verses.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `count(Passage ref, RestrictionType restrict)`
    `abstract Object` | `getElementAt(Passage ref, int index, RestrictionType restrict)`
    `static PassageListType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PassageListType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERSES

          public static final PassageListType VERSES

      Passage to be interpreted as a list of verses.

    - #### RANGES

          public static final PassageListType RANGES

      Passage to be interpreted as a list of ranges.

  - ### Method Detail

    - #### values

          public static PassageListType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PassageListType c : PassageListType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PassageListType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getElementAt

          public abstract Object getElementAt(Passage ref,
                            int index,
                            RestrictionType restrict)

    - #### count

          public abstract int count(Passage ref,
                  RestrictionType restrict)